coreEngine.Helper

## Class CECoordinate

- java.lang.Object
- - coreEngine.Helper.CECoordinate

- All Implemented Interfaces:
    java.io.Serializable

      public class CECoordinate
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    jltrask
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `latitude` Latitude of the Coordinate
    `double` | `longitude` Longitude of the coordinate
    `private static long` | `serialVersionUID` serialVersionUID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CECoordinate(double lat, double lon)` Constructor to create a CECordinate instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `distance(CECoordinate c1, CECoordinate c2)` Calculate distance between two points in latitude and longitude taking into account height difference.
    `static double` | `distance(double lat1, double lat2, double lon1, double lon2)` Calculate distance between two points in latitude and longitude taking into account height difference.
    `static java.lang.String` | `getPathString(CECoordinate[] path)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      serialVersionUID
      See Also:
        Constant Field Values

    - #### latitude

          public double latitude

      Latitude of the Coordinate

    - #### longitude

          public double longitude

      Longitude of the coordinate

  - ### Constructor Detail

    - #### CECoordinate

          public CECoordinate(double lat,
                              double lon)

      Constructor to create a CECordinate instance.
      Parameters:
        `lat` - Latitude
        `lon` - Longitude

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### distance

          public static double distance(double lat1,
                                        double lat2,
                                        double lon1,
                                        double lon2)

      Calculate distance between two points in latitude and longitude taking into account height difference. If you are not interested in height difference pass 0.0. Uses Haversine method as its base. lat1, lon1 Start point lat2, lon2 End point
      Parameters:
        `lat1` -
        `lat2` -
        `lon1` -
        `lon2` -
      Returns:

    - #### distance

          public static double distance(CECoordinate c1,
                                        CECoordinate c2)

      Calculate distance between two points in latitude and longitude taking into account height difference. If you are not interested in height difference pass 0.0. Uses Haversine method as its base.
      Parameters:
        `c1` -
        `c2` -
      Returns:
        Distance in feet.

    - #### getPathString

          public static java.lang.String getPathString(CECoordinate[] path)